/*کد تغییر لوگو */

.login h1 a {
display:none;
}

.login h1{
background-image: url(https://juiceha.ir/wp-content/uploads/2026/03/Logo-Juiceha.webp);
height: 300px;
background-position: center;
width: 100%;
background-repeat: no-repeat;
background-size:200px;
}

/*تغییر فونت  صفحه لاگین*/

@font-face{
font-family: 'Mk-yekan';
font-style:normal;
font-weight:600; 
src:url('https://juiceha.ir/wp-content/uploads/2026/03/YekanBakh-Regular.woff')format('woff') , url('https://juiceha.ir/wp-content/uploads/2026/03/YekanBakh-Regular.woff2')format('woff2');
}
*{
font-family:"Mk-yekan";
}


/*کد های بکگراند  صفحه لاگین پیشفرض*/

body.login.js.login-action-login.wp-core-ui.rtl.locale-fa-ir {
    background-image: url(https://juiceha.ir/wp-content/uploads/2026/03/bg.webp);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

/*کد های استایل فرم پیشفرض لاگین*/
body.login.js.login-action-login.wp-core-ui.rtl.locale-fa-ir {
display: flex;
flex-direction: column;
justify-content: center;
align-items: center;
}

div#login {
padding: 10px;
background-color: #1e1e1e61;
backdrop-filter: blur(5px);
border-radius: 10px;
border: 1px solid #ffffff17;
color: white!important;
}

form#loginform {
background: transparent;
border: none;
}

.login #backtoblog a, .login #nav a {
color: white;
}

.login form .input, .login form input[type=checkbox], .login input[type=text] {
background: transparent;
border: 1px solid #287BFF;
border-radius: 30px;
color: white;
}


input#wp-submit {
padding: 2px 25px;
min-height: 0;
line-height: 2;
border-radius: 30px;
background-color: #287BFF;
width: 100%;
margin-top: 20px;
border-color: #287BFF;
color: white;

}

.language-switcher {
position: fixed;
bottom: 5px;
display: flex;
flex-direction: row;
padding: 0;

}

form#language-switcher {
display: flex;
align-items: center;
justify-content: space-evenly;
gap: 20px;
margin: 0;
}

/*استایل های مربوط به دکمه تایید تغییر زبان*/
.login .language-switcher .button {
    margin: 0;
    background-color: #287BFF;
    border-radius: 10px;
    color: white;
}

/*استایل مربوط به  تغییر زبان صفحه*/
select#language-switcher-locales {
background: transparent;
border-radius: 10px;
color: #287BFF;
border: 1px solid #287BFF;
}

span.dashicons.dashicons-translation {
color: white;
}

.wp-core-ui .button, .wp-core-ui .button-secondary {
    color: #043CCC;
    border-color: #043CCC;
}

/*اس وی جی تیک مرا به خاطر بسپار*/
input[type=checkbox]:checked::before {
    content: url(data:image/svg+xml;utf8,%3Csvg%20xmlns%3D%27http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%27%20viewBox%3D%270%200%2020%2020%27%3E%3Cpath%20d%3D%27M14.83%204.89l1.34.94-5.81%208.38H9.02L5.78%209.67l1.34-1.25%202.57%202.4z%27%20fill%3D%27%233582c4%27%2F%3E%3C%2Fsvg%3E) / '';
}

/*مخفی کردن نام نویسی در فرم*/
a.wp-login-register {
    display: none;
}

/*کد های استایل ورود دو مرحله وردفنس*/

#wfls-prompt-overlay {
	background-color: #302a32!important;
    font-family: 'Mk-yekan';
	border-radius: 10px;
	border: 1px solid #287BFF;

}

.wp-core-ui .button, .wp-core-ui .button-secondary {
    background-color: #043CCC;
    color: #e7e5e9;
    border-color: #043CCC;
    border-radius: 8px;
}

.login form .input, .login form input[type=checkbox], .login input[type=text] {
    background: transparent;
    border: 1px solid #287BFF;
    border-radius: 30px;
    color: white;
}
